import Ember from 'ember';

const {
  computed,
  getWithDefault,
  get,
  set,
  Component,
  String: { htmlSafe }
} = Em

export default Component.extend({
  classNames: ['en-multi-select-selection'],
  classNameBindings: ['setBackgroundColor:is-unique-color'],
  attributeBindings: ['style:style'],

  style: computed('selection.backgroundColor', 'setBackgroundColor', function () {
    let setBg = get(this, 'setBackgroundColor')
    if (!setBg) return htmlSafe()

    let bgColor = getWithDefault(
      this, 'selection.backgroundColor', "#ADADAD"
    )

    return htmlSafe(`background-color: ${bgColor}; color: white`)
  }),

  label: computed('labelPath', function () {
    const path = getWithDefault(this, 'labelPath', 'label')
    const selection = get(this, 'selection')

    return get(selection, path)
  }),

  actions: {
    removeSelection () {
      this.sendAction('remove', this.get('selection'))
    },
  }
});
